Subject: Re: zsh and line breaks
From: Oliver Kiddle <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: zzapper <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 01 Apr 2004 11:09:56 +0200

"Peter A. Castro" wrote:
> > It is easy for us to add `#ifdef __CYGWIN__' around changes or #define
> > O_TEXT to zero on other systems so if you do correct the problem,
> > please send the changes back to us.
> 
> There are about 43 open() calls which I've updated with the O_TEXT
> option.  Having all those ifdef's seemed rather ugly (makes the code hard
> to look at, expectially when they are within a few lines of each other)
> so I took a more "elegent" approach, though you may want to revise it if
> it doesn't meet your style requirements :)

I can believe that adding ifdef's to all is ugly. That's what I meant
by "#define O_TEXT to zero on other systems" - just one thought on a
possible more "elegant" approach.

> Yep, I'm experimenting with this right now.  As it stands, tests which
> print out to a file and then cat it back in (currently A04redirect and
> E01options) produce a diff, but don't otherwise seem to have any
> problems.

Are the diffs just the line endings? From what I understand, the
reported problems were with text files used as input to the shell (i.e.
scripts, sourced files, autoloaded functions and stdin). Quite whether
it is also right for redirected output, I wouldn't know.

Oliver

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/